Payment batches & settlement
Check And Update Pending Squads Transactions
Name and signature indicate it checks and update pending squads transactions
POSThttps://api.toku.com/tga/check-and-update-pending-squads-transactions
Not available to API keys yet. It will need payroll:write.
curl --request POST \
--url 'https://api.toku.com/tga/check-and-update-pending-squads-transactions' \
--header 'Authorization: Bearer <token>'200 response
{
"success": true,
"message": "string",
"checked": 0,
"updated": 0,
"transactions": [
{
"transactionID": "string",
"status": "string",
"updated": true,
"error": "string"
}
]
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Response
200Successful response
successbooleanrequiredmessagestringrequiredcheckedintegerrequiredAllowed: at least 0
updatedintegerrequiredAllowed: at least 0
transactionsobject[]requiredShow child attributes
transactionIDstringrequiredstatusstringrequiredupdatedbooleanrequirederrorstring400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits